Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime.objectprovider
Interface CustomResultList

All Superinterfaces:
  Collection, List, ResultList, Serializable

All Known Implementing Classes:
  EagerResultList, LazyResultList, OnDemandForwardResultList

public interface CustomResultList
extends ResultList

Customizable implementation of the `ResultList` interface, that allows configuration of the input source and `ResultObjectProvider` upon instantiation.

Since:
  2.5.0
See Also:
  `Configuration.getResultListClass()`

Method Summary
`void` | `initResultList(Object input, ResultObjectProvider rop, Configuration config)` Initialize the ResultList implementation, which will allow custom ResultList objects to be used for Query results.

Methods inherited from interface com.solarmetric.kodo.runtime.objectprovider.ResultList
`checkClosed, close, getInstantiatedCount, isClosed`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### initResultList

    public void initResultList(Object input,
                               ResultObjectProvider rop,
                               Configuration config)

  Initialize the ResultList implementation, which will allow custom ResultList objects to be used for Query results.
  Parameters:
    `input` - the source of the results (e.g., a JDBC ResultSet)
    `rop` - the provider used to obtain the next element from the list
    `config` - the Configuration object to use

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.